Check that every hostname of the app points at the gateway.
GET
/api/v1/projects/{project}/environments/{environment}/apps/{app}/domains
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/domains';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/domainsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
app
required
string
App name
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
host
required
string
addresses
required
Addresses the host currently resolves to.
Array<string>
expected
required
Addresses of the gateway.
Array<string>
status
required
ok, mismatch, unresolved or unknown.
string
message
required
string
Examplegenerated
[ { "host": "example", "addresses": [ "example" ], "expected": [ "example" ], "status": "example", "message": "example" }]Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}